DefaultComponentSafeNamingStrategy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class DefaultComponentSafeNamingStrategy

    java.lang.Object
      org.hibernate.cfg.EJB3NamingStrategy
          org.hibernate.cfg.DefaultComponentSafeNamingStrategy

All Implemented Interfaces:
  Serializable, NamingStrategy

    public class DefaultComponentSafeNamingStrategy

extends EJB3NamingStrategy

See Also:
  Serialized Form

Field Summary
`static NamingStrategy` | `INSTANCE`

Constructor Summary
`DefaultComponentSafeNamingStrategy()`

Method Summary
`protected static String` | `addUnderscores(String name)`
`String` | `collectionTableName(String ownerEntity, String ownerEntityTable, String associatedEntity, String associatedEntityTable, String propertyName)` Return a collection table name ie an association having a join table
`String` | `foreignKeyColumnName(String propertyName, String propertyEntityName, String propertyTableName, String referencedColumnName)` Return the foreign key column name for the given parameters
`String` | `logicalCollectionColumnName(String columnName, String propertyName, String referencedColumn)` Returns the logical foreign key column name used to refer to this column in the mapping metadata
`String` | `logicalCollectionTableName(String tableName, String ownerEntityTable, String associatedEntityTable, String propertyName)` Returns the logical collection table name used to refer to a table in the mapping metadata
`String` | `logicalColumnName(String columnName, String propertyName)` Return the logical column name used to refer to a column in the metadata (like index, unique constraints etc) A full bijection is required between logicalNames and physical ones logicalName have to be case insersitively unique for a given table
`String` | `propertyToColumnName(String propertyName)` Return a column name for a property path expression

Methods inherited from class org.hibernate.cfg.EJB3NamingStrategy
`classToTableName, columnName, joinKeyColumnName, tableName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final NamingStrategy INSTANCE

Constructor Detail

### DefaultComponentSafeNamingStrategy

    public DefaultComponentSafeNamingStrategy()

Method Detail

### addUnderscores

    protected static String addUnderscores(String name)

### propertyToColumnName

    public String propertyToColumnName(String propertyName)

  Description copied from interface: `NamingStrategy`
  Return a column name for a property path expression

  Specified by:
    `propertyToColumnName` in interface `NamingStrategy`
  Overrides:
    `propertyToColumnName` in class `EJB3NamingStrategy`
  Parameters:
    `propertyName` - a property path
  Returns:
    a column name

### collectionTableName

    public String collectionTableName(String ownerEntity,
                                      String ownerEntityTable,
                                      String associatedEntity,
                                      String associatedEntityTable,
                                      String propertyName)

  Description copied from interface: `NamingStrategy`
  Return a collection table name ie an association having a join table

  Specified by:
    `collectionTableName` in interface `NamingStrategy`
  Overrides:
    `collectionTableName` in class `EJB3NamingStrategy`
    `ownerEntityTable` - owner side table name
    `associatedEntityTable` - reverse side table name if any
    `propertyName` - collection role

### foreignKeyColumnName

    public String foreignKeyColumnName(String propertyName,
                                       String propertyEntityName,
                                       String propertyTableName,
                                       String referencedColumnName)

  Description copied from interface: `NamingStrategy`
  Return the foreign key column name for the given parameters

  Specified by:
    `foreignKeyColumnName` in interface `NamingStrategy`
  Overrides:
    `foreignKeyColumnName` in class `EJB3NamingStrategy`
  Parameters:
    `propertyName` - the property name involved
    `propertyTableName` - the property table name involved (logical one)
    `referencedColumnName` - the referenced column name involved (logical one)

### logicalColumnName

    public String logicalColumnName(String columnName,
                                    String propertyName)

  Description copied from interface: `NamingStrategy`
  Return the logical column name used to refer to a column in the metadata (like index, unique constraints etc) A full bijection is required between logicalNames and physical ones logicalName have to be case insersitively unique for a given table

  Specified by:
    `logicalColumnName` in interface `NamingStrategy`
  Overrides:
    `logicalColumnName` in class `EJB3NamingStrategy`
  Parameters:
    `columnName` - given column name if any
    `propertyName` - property name of this column

### logicalCollectionTableName

    public String logicalCollectionTableName(String tableName,
                                             String ownerEntityTable,
                                             String associatedEntityTable,
                                             String propertyName)

  Description copied from interface: `NamingStrategy`
  Returns the logical collection table name used to refer to a table in the mapping metadata

  Specified by:
    `logicalCollectionTableName` in interface `NamingStrategy`
  Overrides:
    `logicalCollectionTableName` in class `EJB3NamingStrategy`
  Parameters:
    `tableName` - the metadata explicit name
    `ownerEntityTable` - owner table entity table name (logical one)
    `associatedEntityTable` - reverse side table name if any (logical one)
    `propertyName` - collection role

### logicalCollectionColumnName

    public String logicalCollectionColumnName(String columnName,
                                              String propertyName,
                                              String referencedColumn)

  Description copied from interface: `NamingStrategy`
  Returns the logical foreign key column name used to refer to this column in the mapping metadata

  Specified by:
    `logicalCollectionColumnName` in interface `NamingStrategy`
  Overrides:
    `logicalCollectionColumnName` in class `EJB3NamingStrategy`
  Parameters:
    `columnName` - given column name in the metadata if any
    `propertyName` - property name
    `referencedColumn` - referenced column name (logical one) in the join

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.